#ifndef __MAIN_H
#define __MAIN_H

/** M E S S A G E S **********************************************************/
// Fichier 495 --> diffusion "entrez les centaines"
// Fichier 496 --> diffusion "entrez les dizaines"
// Fichier 497 --> diffusion "entrez les units"
// Fichier 498 --> diffusion "ok"
// Fichier 499 --> diffusion "erreur"
// Fichier 500 --> diffusion "0"
// Fichier 501 --> diffusion "1"
// Fichier 502 --> diffusion "2"
// Fichier 503 --> diffusion "3"
// Fichier 504 --> diffusion "4"
// Fichier 505 --> diffusion "5"
// Fichier 506 --> diffusion "6"
// Fichier 507 --> diffusion "7"
// Fichier 508 --> diffusion "8"
// Fichier 509 --> diffusion "9"


/** D E C L A R A T I O N S **************************************************/
//#pragma udata
unsigned char volume;
unsigned char temps16ms_0;
unsigned char temps16ms_1;
unsigned char temps16ms_2;
unsigned char temps16ms_3;
unsigned char temps1s_0;

//#pragma idata
unsigned int file_val = 0;
unsigned int file_val1 = 1;

union {
    unsigned char val;
    struct {
        unsigned front0:1;  // drapeau front, ne pas dplacer
        unsigned front1:1;  // idem
        unsigned front2:1;
        unsigned front3:1;
        unsigned front4:1;
        unsigned front5:1;
        unsigned front6:1;
        unsigned memo1:1;
    };
}flagsmain0 = 0;

union {
    unsigned char val;
    struct {
        unsigned front0:1;   // drapeau front, ne pas dplacer
        unsigned front1:1;
        unsigned bit2:1;
        unsigned bit3:1;
        unsigned memo0:1;
        unsigned memo1:1;
        unsigned memo2:1;
        unsigned memo3:1;
    };
}flagsmain1 = 0;

/** D E F I N I T I O N S ****************************************************/
#define high 1
#define low  0
#define on 1
#define off 0

// Entres
#define in_bruit GPIObits.GP3

// Sorties
#define led_r GPIObits.GP1

// IR tlcommande
#define IR_adr 7,255
#define module_adr 7
#define inIR_menu_p 7,32
#define inIR_menu_m 7,33
#define inIR_decal_d 7,27
#define inIR_decal_g 7,26
#define inIR_rouge 7,12
#define inIR_clear 7,45
#define inIR_haut 7,16
#define inIR_bas 7,17
#define inIR_vert 7,56
#define inIR_valid 7,54
#define inIR_mute 7,13
#define in1IR_plus 7,28
#define in1IR_moins 7,29
#define inIR_compos 7,10

#define init_volume 3
#define nb_files 101 // total fichiers sur microSD
#define duree 125   // dure entre chaque fichiers (16ms * 125 = 2s)
#define t_bruit 125  // dure en 16ms du bruit
#define t_compos 18 // dure en second pour composer le numro du fichier


/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

/* TODO Application specific user parameters used in user.c may go here */

/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

/* TODO User level functions prototypes (i.e. InitApp) go here */

void InitApp(void);         /* I/O and Peripheral Initialization */
void arret(void);
inline void it_tmr0_time(void);

#endif
